package es.uv.saic.dto;

import java.math.BigInteger;
import java.util.Optional;

public class PdfDTO {
    private String content;
    private Optional<BigInteger> idtascai;
    private BigInteger idtasca;
    
    public PdfDTO() {}

    public PdfDTO(String content, Optional<BigInteger> idtascai) {
        this.content = content;
        this.idtascai = idtascai;
    }

    public PdfDTO(String content, BigInteger idtasca) {
        this.content = content;
        this.idtasca = idtasca;
    }

    public String getContent() {
        return content;
    }

    public Optional<BigInteger> getIdtascai() {
        return idtascai;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public void setIdtascai(Optional<BigInteger> idtascai) {
        this.idtascai = idtascai;
    }

    public BigInteger getIdtasca() {
        return idtasca;
    }

    public void setIdtasca(BigInteger idtasca) {
        this.idtasca = idtasca;
    }
}